Bug 1491151 - DSO load failed: AH00576: The DBM driver could not be loaded
Summary: DSO load failed: AH00576: The DBM driver could not be loaded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: apr-util
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luboš Uhliarik ✈
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-13 08:03 UTC by Ondrej Holy
Modified: 2018-10-14 23:28 UTC (History)
12 users (show)

Fixed In Version: apr-util-1.6.1-8.fc27 apr-util-1.6.1-8.fc28 apr-util-1.6.1-8.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-30 01:09:59 UTC


Attachments (Terms of Use)

Description Ondrej Holy 2017-09-13 08:03:53 UTC
Description of problem:
Write opertations on webdav always fail with "500 Internal Server Error", read works correctly. See output from error_log:
[Wed Sep 13 09:44:07.105979 2017] [dav_fs:crit] [pid 16161:tid 139961240123136] (20019)DSO load failed: AH00576: The DBM driver could not be loaded
[Wed Sep 13 09:44:07.105997 2017] [dav:error] [pid 16161:tid 139961240123136] [client 127.0.0.1:43752] The locks could not be queried for verification against a possible "If:" header.  [500, #0]
[Wed Sep 13 09:44:07.106004 2017] [dav:error] [pid 16161:tid 139961240123136] [client 127.0.0.1:43752] Could not open the lock database.  [500, #400]
[Wed Sep 13 09:44:07.106009 2017] [dav:error] [pid 16161:tid 139961240123136] (20019)DSO load failed: [client 127.0.0.1:43752] Could not open property database.  [500, #1]

Version-Release number of selected component (if applicable):
httpd-2.4.27-6.fc27.x86_64

How reproducible:
Always when trying to put/rm/edit/copy on webdav using cadaver, ls/cat works correctly.

Steps to Reproduce:
1. Configure webdav e.g. using the following in httpd.conf:
DAVLockDB DAVLock
Alias /dav /var/www/dav
<Location /dav>
  Dav On
</Location>
2. mkdir /var/www/dav
3. sudo service httpd restart
4. cadaver http://localhost/dav
5. dav:/dav/> put FILE

Actual results:
500 Internal Server Error

Expected results:
FILE is copied into /var/www/dav/FILE without failure

Additional info:
The same problem happens also with gvfsd-dav, so I suppose that it is httpd bug...

Comment 1 Joe Orton 2017-09-13 08:18:24 UTC
If you install apr-util-bdb does this go away?

Comment 2 Ondrej Holy 2017-09-13 08:48:00 UTC
Ok, the "DSO load failed: AH00576: The DBM driver could not be loaded" disappears from logs with apr-util-bdb, but still get "500 Internal Server Error" and see the following:

[Wed Sep 13 10:43:18.457159 2017] [dav:error] [pid 27103:tid 139692652566272] [client 127.0.0.1:44910] The locks could not be queried for verification against a possible "If:" header.  [500, #0]
[Wed Sep 13 10:43:18.457187 2017] [dav:error] [pid 27103:tid 139692652566272] [client 127.0.0.1:44910] Could not open the lock database.  [500, #400]
[Wed Sep 13 10:43:18.457195 2017] [dav:error] [pid 27103:tid 139692652566272] (120013)APR does not understand this error code: [client 127.0.0.1:44910] Could not open property database.  [500, #1]

Comment 3 Michael J Gruber 2017-11-21 16:24:21 UTC
For the record:

The HTTPD-related test t5540 in the git test suite suddenly failed when I switched to F27 from F26.

Installing apr-util-bdb solved this issue (after quite some time of searching for other solutions...). Has this been split off in F27's package when it wasn't in F26? Lot's of surprise failures to expect...

Comment 4 David L. Crow 2017-12-20 00:54:36 UTC
I installed apr-util-bdb in Fedora 27 and my DAV issues have gone away.  All is working again.

Comment 5 Martijn Ras 2018-01-02 10:54:47 UTC
I ran into this problem as well, not just with the DavLockDB but also with the AuthDBMUserFile.

After installing apr-util-bdb i got the same errors as reported in comment 2.

After a lot of trial and error i got everything working again.
It appears the default DBM type has changed from 'SDBM' to something else.

1) Replacing 'AuthDBMType default' with "AuthDBMType SDBM" fixed the problems with the AuthDBMUserFile.

2) Removing the old DavLockDB files fixed the problems with the DavLockDB.

Comment 6 Martijn Ras 2018-01-02 12:00:16 UTC
I think apr-util-bdb should be set as dependency in httpd.

Comment 7 Paul Lambert 2018-01-11 20:19:16 UTC
Installing apr-utl-bdb after upgrading to fc27 from fc26 has resolved the file uploading errors that resulted in upload failure.  After installing this AND rebooting all is working as expected.

Comment 8 Armin Diehl 2018-02-20 21:15:30 UTC
i had the same problem and searched for hours.
Installing apr-utl-bdb fixed it (even without restarting http)

Would be nice if this problem can be fixed to prevent others from searching for hours as well.

Comment 10 Joe Orton 2018-09-26 11:24:00 UTC
Package: apr-util-1.6.1-8.fc30

Comment 11 Joe Orton 2018-09-26 11:30:04 UTC
Package: apr-util-1.6.1-8.fc29

Comment 12 Joe Orton 2018-09-26 11:34:16 UTC
Package: apr-util-1.6.1-8.fc28

Comment 13 Joe Orton 2018-09-26 11:39:15 UTC
Package: apr-util-1.6.1-8.fc27

Comment 14 Fedora Update System 2018-09-26 11:39:32 UTC
apr-util-1.6.1-8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8d417e98d

Comment 15 Fedora Update System 2018-09-26 11:39:41 UTC
apr-util-1.6.1-8.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-77436cb193

Comment 16 Fedora Update System 2018-09-26 11:39:50 UTC
apr-util-1.6.1-8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be239ecaa

Comment 17 Fedora Update System 2018-09-27 16:41:54 UTC
apr-util-1.6.1-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-77436cb193

Comment 18 Fedora Update System 2018-09-27 17:09:42 UTC
apr-util-1.6.1-8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8d417e98d

Comment 19 Fedora Update System 2018-09-27 18:41:53 UTC
apr-util-1.6.1-8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be239ecaa

Comment 20 Fedora Update System 2018-09-30 01:09:59 UTC
apr-util-1.6.1-8.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-10-02 19:32:33 UTC
apr-util-1.6.1-8.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Pavel Cahyna 2018-10-11 11:43:50 UTC
(In reply to Michael J Gruber from comment #3)
> For the record:
> 
> The HTTPD-related test t5540 in the git test suite suddenly failed when I
> switched to F27 from F26.
> 
> Installing apr-util-bdb solved this issue (after quite some time of
> searching for other solutions...). Has this been split off in F27's package
> when it wasn't in F26? Lot's of surprise failures to expect...

I don't think this problem will be solved by the fix as committed, dnf builddep seems to ignore this Recommends. See the workaround in git sources, https://src.fedoraproject.org/rpms/git/blob/master/f/git.spec#_172

Comment 23 Fedora Update System 2018-10-14 23:28:51 UTC
apr-util-1.6.1-8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.